

- remove accidental debug code from ext3 commit.



 fs/jbd/commit.c |   21 ++++-----------------
 1 files changed, 4 insertions(+), 17 deletions(-)

diff -puN fs/jbd/commit.c~misc29 fs/jbd/commit.c
--- 25/fs/jbd/commit.c~misc29	2003-07-07 22:03:29.000000000 -0700
+++ 25-akpm/fs/jbd/commit.c	2003-07-07 22:04:17.000000000 -0700
@@ -169,23 +169,10 @@ void journal_commit_transaction(journal_
 	 * that multiple journal_get_write_access() calls to the same
 	 * buffer are perfectly permissable.
 	 */
-	{
-		int nr = 0;
-		while (commit_transaction->t_reserved_list) {
-			jh = commit_transaction->t_reserved_list;
-			JBUFFER_TRACE(jh, "reserved, unused: refile");
-			journal_refile_buffer(journal, jh);
-			nr++;
-		}
-		if (nr) {
-			static int noisy;
-
-			if (noisy < 10) {
-				noisy++;
-				printk("%s: freed %d reserved buffers\n",
-					__FUNCTION__, nr);
-			}
-		}
+	while (commit_transaction->t_reserved_list) {
+		jh = commit_transaction->t_reserved_list;
+		JBUFFER_TRACE(jh, "reserved, unused: refile");
+		journal_refile_buffer(journal, jh);
 	}
 
 	/*

_
